Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.beans
Enum LoggingLevel

    java.lang.Object
      java.lang.Enum<LoggingLevel>
          com.bea.dsp.management.beans.LoggingLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LoggingLevel>

    public enum LoggingLevel

extends java.lang.Enum<LoggingLevel>

Enum Constant Summary
`DEBUG`
`ERROR`
`INFORMATION`
`NOTICE`
`WARNING`

Method Summary
`static LoggingLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LoggingLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEBUG

    public static final LoggingLevel DEBUG

### INFORMATION

    public static final LoggingLevel INFORMATION

### NOTICE

    public static final LoggingLevel NOTICE

### WARNING

    public static final LoggingLevel WARNING

### ERROR

    public static final LoggingLevel ERROR

Method Detail

### values

    public static LoggingLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LoggingLevel c : LoggingLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LoggingLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.